{{- if .Values.metrics.prometheusRules.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  name: {{ include "s3-replication.fullname" . }}-rules
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "s3-replication.labels" . | nindent 4 }}
    {{- if .Values.metrics.prometheusRules.additionalLabels }}
    {{- toYaml .Values.metrics.prometheusRules.additionalLabels | nindent 4 }}
    {{- end }}
spec:
  groups:
    - name: {{ include "s3-replication.fullname" . }}.rules
      rules:
        - alert: {{ include "s3-replication.replicatorJobName" . }}JobFailed
          expr: |
            kube_job_status_failed{
              namespace="{{ .Release.Namespace }}",
              job_name=~"{{ include "s3-replication.replicatorJobName" . }}.*"
            } > 0
          for: 0m
          labels:
            severity: warning
          annotations:
            summary: "S3 Replication Job Failed ({{ "{{" }}$labels.job_name{{ "}}" }})"
            description: |
              Job {{ "{{" }}$labels.namespace{{ "}}" }}/{{ "{{" }}$labels.job_name{{ "}}" }} failed to complete
              VALUE = {{ "{{" }}$value{{ "}}" }}
              LABELS = {{ "{{" }}$labels{{ "}}" }}
        - alert: {{ include "s3-replication.replicatorJobName" . }}CronJobSuspended
          expr: |
            kube_cronjob_spec_suspend{
              namespace="{{ .Release.Namespace }}",
              cronjob="{{ include "s3-replication.replicatorJobName" . }}"
            } != 0
          for: 0m
          labels:
            severity: warning
          annotations:
            summary: "S3 Replication CronJob suspended ({{ "{{" }}$labels.cronjob{{ "}}" }})"
            description: |
              Job {{ "{{" }}$labels.namespace{{ "}}" }}/{{ "{{" }}$labels.cronjob{{ "}}" }} failed to complete
              VALUE = {{ "{{" }}$value{{ "}}" }}
              LABELS = {{ "{{" }}$labels{{ "}}" }}
  {{- end }}